Class | Bio::DDBJ::REST::ClustalW
In: | lib/bio/io/ddbjrest.rb
Parent: | WABItemplate

### Description

DDBJ (DNA DataBank of Japan) web service of ClustalW multiple sequence alignment software. See below for details and examples.

- xml.nig.ac.jp/wabi/Method?serviceName=ClustalW&mode=methodList&lang=en

### Methods

analyzeParam analyzeParamAsync analyzeSimple analyzeSimpleAsync

### Public Instance methods

analyzeParam(query, param)

see xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=ClustalW&methodName=analyzeParam&mode=methodDetail

[Source]

         # File lib/bio/io/ddbjrest.rb, line 247
    247:       def analyzeParam(query, param); end

analyzeParamAsync(query, param)

see xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=ClustalW&methodName=analyzeParamAsync&mode=methodDetail

[Source]

         # File lib/bio/io/ddbjrest.rb, line 251
    251:       def analyzeParamAsync(query, param); end

analyzeSimple(query)

xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=ClustalW&methodName=analyzeSimple&mode=methodDetail

[Source]

         # File lib/bio/io/ddbjrest.rb, line 255
    255:       def analyzeSimple(query); end

analyzeSimpleAsync(query)

xml.nig.ac.jp/wabi/Method?&lang=en&serviceName=ClustalW&methodName=analyzeSimpleAsync&mode=methodDetail

[Source]

         # File lib/bio/io/ddbjrest.rb, line 259
    259:       def analyzeSimpleAsync(query); end

[Validate]